Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc
Interface ModuleInvoke

All Superinterfaces:
  Request

    public interface ModuleInvoke

extends Request

An specialization of `Request` that contains the URI of an XQuery module (resident in the server) to be evaluated by the MarkLogic Server.

XCC can connect to a 3.0 MarkLogic Server, but there was an change in the way module invocations are encoded between 3.0 and 3.1. If you wish use XCC to invoke or spawn a module on a 3.0 server, you must set the system property "xcc.module.invoke.oldstyle" to the value "true". System properties can be set at JVM startup with a command line argument of the form -Dproperty=value or by calling `System.setProperty(String, String)` programmatically.

Method Summary
`String` | `getModuleUri()` Returns the currently set URI for this `Request`.
`void` | `setModuleUri(String uri)` Replace the URI associated with this `Request`, which specifies an XQuery module (server-side code) to be invoked on the server.

Methods inherited from interface com.marklogic.xcc.Request
`clearVariable, clearVariables, getEffectiveOptions, getOptions, getSession, getVariables, setNewIntegerVariable, setNewIntegerVariable, setNewStringVariable, setNewStringVariable, setNewVariable, setNewVariable, setNewVariable, setOptions, setVariable`

Method Detail

### setModuleUri

    void setModuleUri(String uri)

  Replace the URI associated with this `Request`, which specifies an XQuery module (server-side code) to be invoked on the server.

  Parameters:
    `uri` - A String that represents the URI of a text document known to the server which is an XQuery module.

### getModuleUri

    String getModuleUri()

  Returns the currently set URI for this `Request`.

  Returns:
    The URI, as a String, of a module to invoke upon the next invocation of `Session.submitRequest(Request)`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com